# Method: projects.locations.serviceLbPolicies.get

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.serviceLbPolicies/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.serviceLbPolicies/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.serviceLbPolicies/get#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.serviceLbPolicies/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.serviceLbPolicies/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.serviceLbPolicies/get#try-it)

Gets details of a single ServiceLbPolicy.

### HTTP request

`GET https://networkservices.googleapis.com/v1beta1/{name=projects/*/locations/*/serviceLbPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. A name of the ServiceLbPolicy to get. Must be in the format `projects/{project}/locations/{location}/serviceLbPolicies/*`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networkservices.serviceLbPolicies.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.21/docs/reference/network-services/rest/v1beta1/projects.locations.serviceLbPolicies#ServiceLbPolicy`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).